Create Training Control Command
curl --request POST \
--url https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/commands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_overrides": {},
"supervision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supervision_lease_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/commands"
payload = {
"idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_overrides": {},
"supervision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supervision_lease_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
checkpoint_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
runtime_overrides: {},
supervision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
supervision_lease_token: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 123,
"action": "continue",
"status": "pending",
"idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detail": "<string>",
"runtime_overrides": {},
"applied_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}training-checkpoints
Create Training Control Command
POST
/
pipelines
/
{pipeline_id}
/
runs
/
{run_id}
/
training
/
{job_name}
/
commands
Create Training Control Command
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Available options:
continue, pause, resume, rollback, warm_restart, finish_from_checkpoint, abort Response
Successful Response
Available options:
continue, pause, resume, rollback, warm_restart, finish_from_checkpoint, abort Available options:
pending, applied, rejected